Permalink
Browse files

version bump

  • Loading branch information...
vertiginous committed Nov 10, 2009
1 parent bb966cd commit 3322026286b67104ce60ecb11d4dd5813743989f
Showing with 20 additions and 13 deletions.
  1. +6 −0 History.txt
  2. +13 −12 README.rdoc
  3. +1 −1 lib/pik.rb
View
@@ -1,3 +1,9 @@
+
+=== 0.2.7 / 2009-11-10
+
+* fixed Implementations::Ruby to catch RC1 7z files
+* fixed regression in version option
+
=== 0.2.6 / 2009-11-08
* deprecated checkup command in favor of info command
View
@@ -46,30 +46,31 @@ Windows, more than one version of Ruby (otherwise, what's the point?) and Rubyge
== INSTALL:
-* If you're upgrading from a version <= 0.1.1, you'll want to delete the pik.bat file
- from all of your ruby versions. Gem uninstall should do the trick.
-
* Install pik to a location that's in your path, but someplace other than your ruby\bin dir
If you're upgrading from a more recent version, pik_install will overwrite the older files as needed.
>path
PATH=C:\tools\;C:\ruby\186-p368-mingw32\bin;C:\WINDOWS\system32;C:\WINDOWS
>pik_install C:\tools
-
-* If this is a first-time install, add all the versions of ruby that you want to use with pik
- >pik add
- Adding: 186: ruby 1.8.6 (2009-03-31 patchlevel 368) [i386-mingw32]
- Located at: c:/ruby/186-p368-mingw32/bin
-
+* If this is a first-time install, look at pik add, and pik install to set up your environment.
+
>pik add C:\ruby\IronRuby-091\bin
Adding: 091: IronRuby 0.9.1.0 on .NET 2.0.0.0
Located at: C:/ruby/IronRuby-091/bin
- >pik add C:\ruby\jruby-1.4.0RC1\bin
- Adding: 140: jruby 1.4.0RC1 (ruby 1.8.7 patchlevel 174) (2009-09-30 80c263b) (Java HotSpot(TM) Client VM 1.6.0_14) [x86-java]
- Located at: C:/ruby/jruby-1.4.0RC1/bin
+ >pik install ruby
+ ** Downloading: http://rubyforge.org/frs/download.php/66874/ruby-1.9.1-p243-i386-mingw32-rc1.7z
+ to: c:\installs\ruby-1.9.1-p243-i386-mingw32-rc1.7z
+
+ ...
+
+* If you're upgrading from version 0.2.6, you should be able to upgrade with 'pik update'
+
+* If you're upgrading from a version <= 0.1.1, you'll want to delete the pik.bat file
+ from all of your ruby versions. Gem uninstall should do the trick.
+
Note:
View
@@ -1,5 +1,5 @@
module Pik
- VERSION = '0.2.6'
+ VERSION = '0.2.7'
end
$LOAD_PATH.unshift(File.dirname(__FILE__))

0 comments on commit 3322026

Please sign in to comment.